package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseFindRequest;

/**
 * DictItemRequest -  字典项查询
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2019-07-20
 */
public class DictItemFindRequest extends BaseFindRequest {

    /**
     * 字典项ID
     */
    private Long id;
    /**
     * 字典ID
     */
    private Long dictId;

    /**
     * 字典KEY
     */
    private String key;

    /**
     * 字典VALUE
     */
    private String value;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 是否有效
     */
    private Boolean valid;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getDictId() {
        return this.dictId;
    }

    public void setDictId(Long dictId) {
        this.dictId = dictId;
    }

    public String getKey() {
        return this.key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return this.value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Integer getSort() {
        return this.sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }
}
